【漏洞预警】ownCloud graphapi信息泄露漏洞(CVE-2023-49103)

admin 2023年11月28日13:20:11评论75 views字数 1338阅读4分27秒阅读模式

【漏洞预警】ownCloud graphapi信息泄露漏洞(CVE-2023-49103)

漏洞概述:

ownCloud 是一种广泛使用的用于文件共享和内容协作的开源软件,它支持在线文档编辑以及日历和联系人同步等扩展,用户可以通过网络浏览器或各种客户端应用程序访问数据和文档。
监测到ownCloudgraphapi中修复了一个敏感信息泄露漏洞(CVE-2023-49103),由于graphapi 应用程序中依赖第三方 GetPhpInfo.php库,当访问该 URL 时,会显示 PHP 环境(phpinfo)的配置详情,这些信息包括网络服务器的所有环境变量,在容器化部署中,这些环境变量可能包括敏感数据,如ownCloud 管理员密码、邮件服务器凭据和许可证密钥等,导致敏感信息泄露。此外,ownCloud oauth2中还修复了子域验证绕过漏洞(CVE-2023-49104),当启用Allow Subdomains时,威胁者可以传入绕过验证的特制重定向url,从而允许威胁者将回调重定向到其控制的顶级域;以及修复了WebDAV API 身份验证绕过漏洞(CVE-2023-49105),可使用预签名URL绕过WebDAV Api 身份验证,如果已知受害者的用户名并且受害者没有配置签名密钥(这是默认设置),则无需身份验证即可访问、修改或删除任何文件。


影响范围:

CVE-2023-49103

ownCloud/graphapi 0.2.x < 0.2.1

ownCloud/graphapi 0.3.x < 0.3.1

CVE-2023-49104

ownCloud/oauth2 < 0.6.1

CVE-2023-49105

10.6.0 <=ownCloud/core< 10.13.1


安全措施:
升级版本
目前官方已发布了安全更新,受影响用户可升级到最新版本

ownCloud/graphapi下载链接:

https://marketplace.owncloud.com/apps/graphapi


临时措施:

CVE-2023-49103:

1.仅禁用graphapi应用程序并不能消除该漏洞,可删除文件 owncloud/apps/graphapi/vendor/microsoft/microsoft-graph/tests/GetPhpInfo.php。

2. 可禁用 docker-containers 中的 phpinfo 功能。

3. 建议更改关键凭据,包括ownCloud 管理员密码、邮件服务器凭据、数据库凭据、对象存储/S3 访问密钥等。

CVE-2023-49104:

1.加强oauth2应用程序中的验证代码。

2. 禁用“Allow Subdomains”选项来缓解该漏洞。

CVE-2023-49105:

如果没有为文件所有者配置签名密钥,则拒绝使用预签名URL。

 
通用建议:

定期更新系统补丁,减少系统漏洞,提升服务器的安全性

加强系统和网络的访问控制,修改防火墙策略,关闭非必要的应用端口或服务,减少将危险服务(如SSH、RDP等)暴露到公网,减少攻击面

使用企业级安全产品,提升企业的网络安全性能

加强系统用户和权限管理,启用多因素认证机制和最小权限原则,用户和软件权限应保持在最低限度

启用强密码策略并设置为定期修改

原文始发于微信公众号(飓风网络安全):【漏洞预警】ownCloud graphapi信息泄露漏洞(CVE-2023-49103)

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2023年11月28日13:20:11
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   【漏洞预警】ownCloud graphapi信息泄露漏洞(CVE-2023-49103)http://cn-sec.com/archives/2246677.html

发表评论

匿名网友 填写信息